/* block_sites.js - API library for block site configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01b,22ndMAR11,mvb modified domainsValidate() added validateHostName check.
01a,4OCT10,mvb  written. 
*/

function keywordBlockingCheck ()
	{
	var selValue = radioCheckedValueGet ('ContentFiltering.Status');
	if (!selValue) return;
	switch (parseInt(selValue, 10))
		{
		case 0:	/* NO */
			fieldStateChangeWr ('','tblApplyKeywordBlocking tblBlockKeywords tblAddBlockedKeyword tblTrustedDomains tblAddTrustedDomain webComponents','','');
			break;
		case 1:	/* YES */
			fieldStateChangeWr ('', '', '', 'tblApplyKeywordBlocking tblBlockKeywords tblAddBlockedKeyword tblTrustedDomains tblAddTrustedDomain webComponents');
			break;
		}
	}
	
function keywordsValidate(){
	var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtAddBlockKeywords,Please enter keyword to be blocked";
    
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

    var maxLimitObj = document.getElementById ('hdMaxLimitVal');
    var maxLimitVal = parseInt (maxLimitObj.value, 10);
    if(maxCountCheck ('hdblockedKeyWordCount', maxLimitVal, 'tblErrMsg') == false)
		return false;
			
	return true;
	    
}

function domainsValidate(){
	var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtTrustedDomain,Please enter the name of a trusted domain";
    
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
    
    if (validateHostName (document.getElementById ('txtTrustedDomain'),'') == false)
        return false; 

    var maxLimitObj = document.getElementById ('hdMaxLimitVal');
    var maxLimitVal = parseInt (maxLimitObj.value, 10);
    if(maxCountCheck ('hdTrustedDomainCount', maxLimitVal, 'tblErrMsg') == false)
		return false;
		
	return true;
	    
}
