function lanSetupValidate ()
    {
    ipModeObj=document.getElementById ('isDisable');
    if(ipModeObj) ipModeObjVal=ipModeObj.value;
    if(parseInt(ipModeObjVal,10)==1) return false;
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "tblLanSetupIpAddr, Please enter a valid IPv6 address.";
    txtFieldIdArr[1] = "txtPreLen, Please enter a valid IPv6 prefix length.";
    txtFieldIdArr[2] = "txtDhcpDomainName, Please enter a valid Domain Name.";
    txtFieldIdArr[3] = "txtSvrPref, Please enter a valid Server Preference.";
    txtFieldIdArr[4] = "txtDhcpLeaseTime,Please enter a valid DHCP lease time";    
    txtFieldIdArr[5] = "txtPriDnsServer,Please enter a valid Primary DNS Server.";    
        
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
         
    if (ipv6Validate ('tblLanSetupIpAddr', false, true, '') == false)
	    return false;
	    
    var preLenObj = document.getElementById ('txtPreLen');
	if (numericValueRangeCheck (preLenObj, '', '', 0, 128, true, '', '') == false)
		return false;
		
    if (ipv6Validate ('txtPriDnsServer', true, true, '') == false)
	    return false;

    if (ipv6Validate ('txtSecDnsServer', true, true, '') == false)
	    return false;

    var svrPrefObj = document.getElementById ('txtSvrPref');
    if (!svrPrefObj ) return;
    if (!svrPrefObj.disabled)
    	{
		if (numericValueRangeCheck (svrPrefObj, '', '', 0, 255, true, '', '') == false)
			return false;
		}

    var leaseTimeObj = document.getElementById ('txtDhcpLeaseTime');
    if (!leaseTimeObj) return;
    if (!leaseTimeObj.disabled)
	if (numericValueRangeCheck (leaseTimeObj, '', '', 0, 604800, true, '', 'Seconds') == false)
		return false;
    if (checkHostName ('txtDhcpDomainName', true, 'Invalid Domain name: ', false) == false)
    	return false;	
    return true;
    }
function dhcpCheck ()
	{
	if (!document.getElementById ('selDhcpStatus'))
		return;
	var isDhcpEnabled = parseInt (comboSelectedValueGet ('selDhcpStatus'), 10);
	if (isDhcpEnabled == 1) //Enable DHCP Server
		{
        fieldStateChangeWr ('', '', 'txtDhcpDomainName txtSvrPref txtPriDnsServer txtSecDnsServer txtDhcpLeaseTime selDhcpMode selDnsSvrs', '');
        dhcpModeCheck ();
		checkDns();
		}		
	else //Disable DHCP Server
        fieldStateChangeWr ('chkbPrefixDeleGation txtDhcpDomainName txtSvrPref txtPriDnsServer txtSecDnsServer txtDhcpLeaseTime selDhcpMode selDnsSvrs', '', '', '')
	}
function checkDns()
	{
	var selValue=parseInt(comboSelectedValueGet("selDnsSvrs"),10)
	if(selValue == 1 || selValue == 2)
		{
		fieldStateChangeWr("txtPriDnsServer txtSecDnsServer","","","");
		}
	else
		{
		fieldStateChangeWr("","","txtPriDnsServer txtSecDnsServer","");
		}
	}
	
function dhcpModeCheck ()
    {
    var dhcpModeVal = parseInt (comboSelectedValueGet ('selDhcpMode'), 10);
    if (dhcpModeVal == 1) //StateLess mode
        fieldStateChangeWr ('', '', 'chkbPrefixDeleGation', '')
    else //State full mode
        fieldStateChangeWr ('chkbPrefixDeleGation', '', '', '')
    }
